### Function

# AppStream ColorSchemeKind from_string

since: 0.15.2

#### Declaration [src]

    AsColorSchemeKind
    as_color_scheme_kind_from_string (
      const gchar* str
    )

#### Description [src]

Converts the text representation to an enumerated value.

Available since: 0.15.2

#### Parameters

`str`

  Type: `const gchar*`

  The string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsColorSchemeKind`

A `AsColorKind` or `AS_COLOR_SCHEME_KIND_UNKNOWN` for unknown.